Debian Bug report logs - #698681
ITP: seafile-client -- Client of seafile (self-hosting dropbox for teams)

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Shuai Lin <linshuai2012@gmail.com>

Date: Tue, 22 Jan 2013 09:48:01 UTC

Owned by: Shuai Lin <linshuai2012@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Tue, 22 Jan 2013 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 22 Jan 2013 09:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: seafile-client -- Client of seafile (self-hosting dropbox for teams)
Date: Tue, 22 Jan 2013 17:45:36 +0800
Package: wnpp
Severity: wishlist
Owner: Shuai Lin <linshuai2012@gmail.com>

* Package name    : seafile-client
  Version         : 1.4.1
  Upstream Author : Shuai Lin <linshuai2012@gmail.org>
* URL             : http://www.seafile.com/
* License         : GPL
  Programming Lang: C,Python
  Description     : Client of seafile (self-hosting dropbox for teams)

Seafile is an online file storage and collaboration tool. This is seafile client for synchronizing your local files with seafile server. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Tue, 22 Jan 2013 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Tue, 22 Jan 2013 10:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 698681@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 698681@bugs.debian.org
Subject: Re: Bug#698681: ITP: seafile-client -- Client of seafile (self-hosting dropbox for teams)
Date: Tue, 22 Jan 2013 11:10:30 +0100
On 22/01/2013 10:45, Shuai Lin wrote:
>   Description     : Client of seafile (self-hosting dropbox for teams)
> 
> Seafile is an online file storage and collaboration tool. This is seafile client for synchronizing your local files with seafile server. 

It is important to give more information about the software
in this description.

Here's an example of a more precise description :
http://packages.debian.org/sid/git-annex#pdesc

The short description also could be reworded to be more natural,

"Client of seafile, an online file storage and collaboration tool."

but that is only a suggestion.

Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Tue, 22 Jan 2013 10:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Jan 2013 10:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 698681@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: Jérémy Lal <kapouer@melix.org>, 698681@bugs.debian.org
Subject: Re: Bug#698681: ITP: seafile-client -- Client of seafile (self-hosting dropbox for teams)
Date: Tue, 22 Jan 2013 18:18:57 +0800
[Message part 1 (text/plain, inline)]
OK, how can I update the description?


On Tue, Jan 22, 2013 at 6:10 PM, Jérémy Lal <kapouer@melix.org> wrote:

> On 22/01/2013 10:45, Shuai Lin wrote:
> >   Description     : Client of seafile (self-hosting dropbox for teams)
> >
> > Seafile is an online file storage and collaboration tool. This is
> seafile client for synchronizing your local files with seafile server.
>
> It is important to give more information about the software
> in this description.
>
> Here's an example of a more precise description :
> http://packages.debian.org/sid/git-annex#pdesc
>
> The short description also could be reworded to be more natural,
>
> "Client of seafile, an online file storage and collaboration tool."
>
> but that is only a suggestion.
>
> Jérémy.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Tue, 22 Jan 2013 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Jan 2013 10:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 698681@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: 698681@bugs.debian.org
Subject: Re: Bug#698681: ITP: seafile-client -- Client of seafile (self-hosting dropbox for teams)
Date: Tue, 22 Jan 2013 18:33:05 +0800
[Message part 1 (text/plain, inline)]
Synopsis:  Client of seafile, an online file storage and collaboration tool

Long Description:

Seafile enables you to build private cloud for file sharing and
collaboration among team members in your company/organization. This is the
client of the seafile system.

First you create a file library in the web and upload files to it. Then you
share it into a team or with another user.

File libraries can also be synchronized among computers and mobile devices.
You download a library to your PC. Whenever you add, delete or edit a file,
the latest version be uploaded to the server automatically and then be
synchronized to everyone's computer.


On Tue, Jan 22, 2013 at 6:10 PM, Jérémy Lal <kapouer@melix.org> wrote:

> On 22/01/2013 10:45, Shuai Lin wrote:
> >   Description     : Client of seafile (self-hosting dropbox for teams)
> >
> > Seafile is an online file storage and collaboration tool. This is
> seafile client for synchronizing your local files with seafile server.
>
> It is important to give more information about the software
> in this description.
>
> Here's an example of a more precise description :
> http://packages.debian.org/sid/git-annex#pdesc
>
> The short description also could be reworded to be more natural,
>
> "Client of seafile, an online file storage and collaboration tool."
>
> but that is only a suggestion.
>
> Jérémy.
>
[Message part 2 (text/html, inline)]

Added blocking bug(s) of 698681: 700771 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 17 Feb 2013 16:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 22 May 2013 11:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 22 May 2013 11:54:09 GMT) Full text and rfc822 format available.

Message #27 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: 698681@bugs.debian.org, Shuai Lin <linshuai2012@gmail.com>
Subject: Any progress on seafile-client?
Date: Wed, 22 May 2013 13:50:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

I am interested in building seafile, seahub and client packages for Debian.
Did you already do some work or it this more like RFP than ITP?

Ondrej
-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Wed, 22 May 2013 12:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 May 2013 12:12:09 GMT) Full text and rfc822 format available.

Message #32 received at 698681@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: Ondřej Surý <ondrej@sury.org>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Wed, 22 May 2013 20:09:36 +0800
[Message part 1 (text/plain, inline)]
Hi Sury,

Glad to hear this. Actually I have been working on packaging seafile-client
for debian with guide and help from Jérémy Lal <kapouer@melix.org>, who has
been very nice and patient.

But for the last two months Jeremy seems to be kind of busy, so the debian
related work has been stalled for a while.

Since you are interested, here are some work we have done:

The seafile "deb" branch on github:

https://github.com/haiwen/seafile/tree/deb/debian

"seafile-client" package on  mentors.debian.net

http://mentors.debian.net/package/seafile-client


Regards,
Lin



On Wed, May 22, 2013 at 7:50 PM, Ondřej Surý <ondrej@sury.org> wrote:

> Hi,
>
> I am interested in building seafile, seahub and client packages for
> Debian. Did you already do some work or it this more like RFP than ITP?
>
> Ondrej
> --
> Ondřej Surý <ondrej@sury.org>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 22 May 2013 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 22 May 2013 12:21:04 GMT) Full text and rfc822 format available.

Message #37 received at 698681@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 698681@bugs.debian.org
Cc: Ondřej Surý <ondrej@debian.org>, Shuai Lin <linshuai2012@gmail.com>, 709295@bugs.debian.org
Subject: Re: Any progress on seafile-client?
Date: Wed, 22 May 2013 14:19:33 +0200
> Hi,
> 
> I am interested in building seafile, seahub and client packages for Debian.
> Did you already do some work or it this more like RFP than ITP?
> 
> Ondrej

(wasn't subscribed to this bug...)

Hi Ondřej,

Shuai Lin already did a good job at preparing a seafile-client
package, to the point he could nearly maintain it himself.
I promised to do a final review and upload, and then got caught
by other activities...

Shuai, is the package on mentors.d.n up-to-date ?
http://mentors.debian.net/package/seafile-client

Also i wonder if the server can have its own libraries packaged
independently now ?

Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Wed, 22 May 2013 12:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 May 2013 12:27:09 GMT) Full text and rfc822 format available.

Message #42 received at 698681@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: Jérémy Lal <kapouer@melix.org>
Cc: 698681@bugs.debian.org, Ondřej Surý <ondrej@debian.org>, 709295@bugs.debian.org
Subject: Re: Any progress on seafile-client?
Date: Wed, 22 May 2013 20:24:23 +0800
[Message part 1 (text/plain, inline)]
The seafile-client package on
http://mentors.debian.net/package/seafile-client is not up-to-date. I will
update it tomorrow.

Regards,
Lin


On Wed, May 22, 2013 at 8:19 PM, Jérémy Lal <kapouer@melix.org> wrote:

> > Hi,
> >
> > I am interested in building seafile, seahub and client packages for
> Debian.
> > Did you already do some work or it this more like RFP than ITP?
> >
> > Ondrej
>
> (wasn't subscribed to this bug...)
>
> Hi Ondřej,
>
> Shuai Lin already did a good job at preparing a seafile-client
> package, to the point he could nearly maintain it himself.
> I promised to do a final review and upload, and then got caught
> by other activities...
>
> Shuai, is the package on mentors.d.n up-to-date ?
> http://mentors.debian.net/package/seafile-client
>
> Also i wonder if the server can have its own libraries packaged
> independently now ?
>
> Jérémy.
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Thu, 23 May 2013 03:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 May 2013 03:57:04 GMT) Full text and rfc822 format available.

Message #47 received at 698681@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: Jérémy Lal <kapouer@melix.org>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Thu, 23 May 2013 11:52:17 +0800
[Message part 1 (text/plain, inline)]
Hi,

I've just updated the seafile-client package on
http://mentors.debian.net/package/seafile-client to the latest version.

About the server:

After discussion among seafile developers, we don't plan to package the
server in the short term, mainly because:

1) Seafile server have used some libraries, like libzdb, libevhtp, which do
not exist in debian yet

2) The way seafile server/seahub works/upgrades is based on our own
directory layout of the installation. If we are to package the server,
there should be quite some amount of redesign work to do to make seafile
server/seahub compatible with Debian conventions/policies. But we have lots
of other stuff in the todolist -- just see the long list of issues/feature
requests  here <https://github.com/haiwen/seafile/issues?state=open>,
here<https://github.com/haiwen/seahub/issues?state=open>,
and here <https://github.com/haiwen/seadroid/issues?state=open>

Regards,
Lin




On Wed, May 22, 2013 at 8:19 PM, Jérémy Lal <kapouer@melix.org> wrote:

> > Hi,
> >
> > I am interested in building seafile, seahub and client packages for
> Debian.
> > Did you already do some work or it this more like RFP than ITP?
> >
> > Ondrej
>
> (wasn't subscribed to this bug...)
>
> Hi Ondřej,
>
> Shuai Lin already did a good job at preparing a seafile-client
> package, to the point he could nearly maintain it himself.
> I promised to do a final review and upload, and then got caught
> by other activities...
>
> Shuai, is the package on mentors.d.n up-to-date ?
> http://mentors.debian.net/package/seafile-client
>
> Also i wonder if the server can have its own libraries packaged
> independently now ?
>
> Jérémy.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 05 Jun 2013 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 05 Jun 2013 13:21:04 GMT) Full text and rfc822 format available.

Message #52 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Shuai Lin <linshuai2012@gmail.com>
Cc: 698681@bugs.debian.org, Jérémy Lal <kapouer@melix.org>
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Wed, 5 Jun 2013 15:16:11 +0200
[Message part 1 (text/plain, inline)]
Hi Lin,

I am sorry, but the package in the current state is nowhere near to be
released in the Debian.

The upstream tarball includes two upstream libraries. That might be okayish
for releasing just the client, but when you package other binaries (the
server) which will link to the same library, you want to use shared
libraries. Also this makes the packaging unnecessarily complex.

But you certainly cannot embed libjson-glib-1.0 as part of libsearpc (under
different name), that's just security nightmare

I will create the initial packaging in correct way (I already have
libsearpc 1.1.0+dfsg, e.g. without embedded json-glib, packaged), and make
you the co-maintainer of the packages.

Ondrej


On Wed, May 22, 2013 at 2:09 PM, Shuai Lin <linshuai2012@gmail.com> wrote:

> Hi Sury,
>
> Glad to hear this. Actually I have been working on packaging
> seafile-client for debian with guide and help from Jérémy Lal <
> kapouer@melix.org>, who has been very nice and patient.
>
> But for the last two months Jeremy seems to be kind of busy, so the debian
> related work has been stalled for a while.
>
> Since you are interested, here are some work we have done:
>
> The seafile "deb" branch on github:
>
> https://github.com/haiwen/seafile/tree/deb/debian
>
> "seafile-client" package on  mentors.debian.net
>
> http://mentors.debian.net/package/seafile-client
>
>
> Regards,
> Lin
>
>
>
> On Wed, May 22, 2013 at 7:50 PM, Ondřej Surý <ondrej@sury.org> wrote:
>
>> Hi,
>>
>> I am interested in building seafile, seahub and client packages for
>> Debian. Did you already do some work or it this more like RFP than ITP?
>>
>> Ondrej
>> --
>> Ondřej Surý <ondrej@sury.org>
>>
>
>


-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 05 Jun 2013 14:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 05 Jun 2013 14:03:08 GMT) Full text and rfc822 format available.

Message #57 received at 698681@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: Shuai Lin <linshuai2012@gmail.com>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Wed, 05 Jun 2013 15:59:00 +0200
When i asked Shuai Lin about packaging them i understood those libs
were in a too early development phase to be released independently,
so i postponed the review of those libs.
Shuai, are those two libs releasable in separate packages now ?
Are those libs used by seafile-server or other software ?

Ondřej, "nowhere near to be released" are hard words to read, considering we
never said it was ready to be released at all - only that some work has
been done. Let's encourage Shuai, not discourage him.

Note also that it is not recommended practice to dfsg-repack only to get
rid of a convenience copy of a lib :
http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles
http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#repackagedorigtargz

The right thing to do is to just link against the debian-installed lib.

Jérémy.


On 05/06/2013 15:16, Ondřej Surý wrote:
> Hi Lin,
> 
> I am sorry, but the package in the current state is nowhere near to
> be released in the Debian.
> 
> The upstream tarball includes two upstream libraries. That might be
> okayish for releasing just the client, but when you package other
> binaries (the server) which will link to the same library, you want
> to use shared libraries. Also this makes the packaging unnecessarily
> complex.
> 
> But you certainly cannot embed libjson-glib-1.0 as part of libsearpc
> (under different name), that's just security nightmare
> 
> I will create the initial packaging in correct way (I already have
> libsearpc 1.1.0+dfsg, e.g. without embedded json-glib, packaged), and
> make you the co-maintainer of the packages.
> 
> Ondrej
> 
> 
> On Wed, May 22, 2013 at 2:09 PM, Shuai Lin <linshuai2012@gmail.com
> <mailto:linshuai2012@gmail.com>> wrote:
> 
> Hi Sury,
> 
> Glad to hear this. Actually I have been working on packaging
> seafile-client for debian with guide and help from Jérémy Lal
> <kapouer@melix.org <mailto:kapouer@melix.org>>, who has been very
> nice and patient.
> 
> But for the last two months Jeremy seems to be kind of busy, so the
> debian related work has been stalled for a while.
> 
> Since you are interested, here are some work we have done:
> 
> The seafile "deb" branch on github:
> 
> https://github.com/haiwen/seafile/tree/deb/debian
> 
> "seafile-client" package on  mentors.debian.net
> <http://mentors.debian.net>
> 
> http://mentors.debian.net/package/seafile-client
> 
> 
> Regards, Lin
> 
> 
> 
> On Wed, May 22, 2013 at 7:50 PM, Ondřej Surý <ondrej@sury.org
> <mailto:ondrej@sury.org>> wrote:
> 
> Hi,
> 
> I am interested in building seafile, seahub and client packages for
> Debian. Did you already do some work or it this more like RFP than
> ITP?
> 
> Ondrej -- Ondřej Surý <ondrej@sury.org <mailto:ondrej@sury.org>>
> 
> 
> 
> 
> 
> -- Ondřej Surý <ondrej@sury.org <mailto:ondrej@sury.org>>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 05 Jun 2013 14:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 05 Jun 2013 14:33:13 GMT) Full text and rfc822 format available.

Message #62 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: Shuai Lin <linshuai2012@gmail.com>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Wed, 5 Jun 2013 16:30:34 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 5, 2013 at 3:59 PM, Jérémy Lal <kapouer@melix.org> wrote:

> When i asked Shuai Lin about packaging them i understood those libs
> were in a too early development phase to be released independently,
> so i postponed the review of those libs.
> Shuai, are those two libs releasable in separate packages now ?
>

The library has proper SOVER, so there's no fear:

libsearpc_la_LDFLAGS = -version-info 1:2:0  -no-undefined

Thumbs up! Only thing I would recommend is to use GCC visibility (
http://gcc.gnu.org/wiki/Visibility) to hide symbols not indended for public
use, but that's just a nit.


> Are those libs used by seafile-server or other software ?
>

ondrej@kiMac:/tmp$ git clone git://github.com/haiwen/seafile.git >/dev/null
[...]

$ grep -Elr "searpc.*\.h" . | cut -f 2 -d / | sort -u
app
common
daemon
gui
lib
monitor
server

$ grep -Elr "ccnet.*\.h" . | cut -f 2 -d / | sort -u
app
common
controller
daemon
gui
httpserver
lib
monitor
server

Does that answer your question?

Ondřej, "nowhere near to be released" are hard words to read, considering we
> never said it was ready to be released at all - only that some work has
> been done. Let's encourage Shuai, not discourage him
>

Sorry, I didn't mean to sound harsh. I thought that the package is shiny
and ready and I was slightly disappointed that it's not yet. And I really
dislike bundled libraries (php-src/ext/<module>/ is full of them).


> Note also that it is not recommended practice to dfsg-repack only to get
> rid of a convenience copy of a lib :
> http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles
>
> http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#repackagedorigtargz


Well, let's hope this https://github.com/haiwen/libsearpc/pull/3 gets
accepted then :)

The right thing to do is to just link against the debian-installed lib.
>

Well, it's probably just a matter of taste. I found it easier to strip the
embedded libraries than to cherry-pick all the scattered licenses and
gather them up in the debian/copyright. It's also much easier on our
ftp-masters to review less sources.

Anyway there's one more problem: ccnet is not releaseable now since the
licensing is quite unclear. There's MIT and GPL-3+ license, and I would
like to have this solved (and acked by the first author) before ccnet
enters the Debian.

O.


> Jérémy.
>
>
> On 05/06/2013 15:16, Ondřej Surý wrote:
> > Hi Lin,
> >
> > I am sorry, but the package in the current state is nowhere near to
> > be released in the Debian.
> >
> > The upstream tarball includes two upstream libraries. That might be
> > okayish for releasing just the client, but when you package other
> > binaries (the server) which will link to the same library, you want
> > to use shared libraries. Also this makes the packaging unnecessarily
> > complex.
> >
> > But you certainly cannot embed libjson-glib-1.0 as part of libsearpc
> > (under different name), that's just security nightmare
> >
> > I will create the initial packaging in correct way (I already have
> > libsearpc 1.1.0+dfsg, e.g. without embedded json-glib, packaged), and
> > make you the co-maintainer of the packages.
> >
> > Ondrej
> >
> >
> > On Wed, May 22, 2013 at 2:09 PM, Shuai Lin <linshuai2012@gmail.com
> > <mailto:linshuai2012@gmail.com>> wrote:
> >
> > Hi Sury,
> >
> > Glad to hear this. Actually I have been working on packaging
> > seafile-client for debian with guide and help from Jérémy Lal
> > <kapouer@melix.org <mailto:kapouer@melix.org>>, who has been very
> > nice and patient.
> >
> > But for the last two months Jeremy seems to be kind of busy, so the
> > debian related work has been stalled for a while.
> >
> > Since you are interested, here are some work we have done:
> >
> > The seafile "deb" branch on github:
> >
> > https://github.com/haiwen/seafile/tree/deb/debian
> >
> > "seafile-client" package on  mentors.debian.net
> > <http://mentors.debian.net>
> >
> > http://mentors.debian.net/package/seafile-client
> >
> >
> > Regards, Lin
> >
> >
> >
> > On Wed, May 22, 2013 at 7:50 PM, Ondřej Surý <ondrej@sury.org
> > <mailto:ondrej@sury.org>> wrote:
> >
> > Hi,
> >
> > I am interested in building seafile, seahub and client packages for
> > Debian. Did you already do some work or it this more like RFP than
> > ITP?
> >
> > Ondrej -- Ondřej Surý <ondrej@sury.org <mailto:ondrej@sury.org>>
> >
> >
> >
> >
> >
> > -- Ondřej Surý <ondrej@sury.org <mailto:ondrej@sury.org>>
>
>


-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 05 Jun 2013 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 05 Jun 2013 15:15:04 GMT) Full text and rfc822 format available.

Message #67 received at 698681@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: Shuai Lin <linshuai2012@gmail.com>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Wed, 05 Jun 2013 17:12:52 +0200
On 05/06/2013 16:30, Ondřej Surý wrote:
> On Wed, Jun 5, 2013 at 3:59 PM, Jérémy Lal <kapouer@melix.org
> <mailto:kapouer@melix.org>> wrote:
> 
> When i asked Shuai Lin about packaging them i understood those libs 
> were in a too early development phase to be released independently, 
> so i postponed the review of those libs. Shuai, are those two libs
> releasable in separate packages now ?
> 
> 
> The library has proper SOVER, so there's no fear:
> 
> libsearpc_la_LDFLAGS = -version-info 1:2:0  -no-undefined
> 
> Thumbs up! Only thing I would recommend is to use GCC visibility
> (http://gcc.gnu.org/wiki/Visibility) to hide symbols not indended for
> public use, but that's just a nit.
> 
> 
> Are those libs used by seafile-server or other software ?
> 
> 
> ondrej@kiMac:/tmp$ git clone git://github.com/haiwen/seafile.git
> <http://github.com/haiwen/seafile.git> >/dev/null [...]
> 
> $ grep -Elr "searpc.*\.h" . | cut -f 2 -d / | sort -u app common 
> daemon gui lib monitor server
> 
> $ grep -Elr "ccnet.*\.h" . | cut -f 2 -d / | sort -u app common 
> controller daemon gui httpserver lib monitor server
> 
> Does that answer your question?

No but anyway i agree they look like they could be useful per se.

> Ondřej, "nowhere near to be released" are hard words to read,
> considering we never said it was ready to be released at all - only
> that some work has been done. Let's encourage Shuai, not discourage
> him
> 
> 
> Sorry, I didn't mean to sound harsh. I thought that the package is
> shiny and ready and I was slightly disappointed that it's not yet.
> And I really dislike bundled libraries (php-src/ext/<module>/ is full
> of them).
> 
> 
> Note also that it is not recommended practice to dfsg-repack only to
> get rid of a convenience copy of a lib : 
> http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles
>
> http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#repackagedorigtargz
> 
> 
> Well, let's hope this https://github.com/haiwen/libsearpc/pull/3 gets
> accepted then :)
> 
> The right thing to do is to just link against the debian-installed
> lib.
> 
> 
> Well, it's probably just a matter of taste. I found it easier to
> strip the embedded libraries than to cherry-pick all the scattered
> licenses and gather them up in the debian/copyright. It's also much
> easier on our ftp-masters to review less sources.

If it was a master of taste i would do the same as you, get rid of convenience copies.
The idea behind the links i gave above is to refrain people from repacking on
personal taste; and distribute *original* upstream tarballs.
Of course, once there is a good reason to do repack (typically dfsg) then you can remove
embedded convenience copies as well. But you might as well not exclude them.

Slightly unrelated : the version libsearpc 1.1.0+dfsg is misleading since
there is no DFSG involved in this repacking.


> 
> Anyway there's one more problem: ccnet is not releaseable now since
> the licensing is quite unclear. There's MIT and GPL-3+ license, and I
> would like to have this solved (and acked by the first author) before
> ccnet enters the Debian.

ok,

Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 05 Jun 2013 16:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 05 Jun 2013 16:42:11 GMT) Full text and rfc822 format available.

Message #72 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: Shuai Lin <linshuai2012@gmail.com>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Wed, 5 Jun 2013 18:40:01 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 5, 2013 at 5:12 PM, Jérémy Lal <kapouer@melix.org> wrote:

>  > Well, it's probably just a matter of taste. I found it easier to
> > strip the embedded libraries than to cherry-pick all the scattered
> > licenses and gather them up in the debian/copyright. It's also much
> > easier on our ftp-masters to review less sources.
>
> If it was a master of taste i would do the same as you, get rid of
> convenience copies.
> The idea behind the links i gave above is to refrain people from repacking
> on
> personal taste; and distribute *original* upstream tarballs.
> Of course, once there is a good reason to do repack (typically dfsg) then
> you can remove
> embedded convenience copies as well. But you might as well not exclude
> them.
>

Well, there was no upstream tarball anyway, I did create one from git (git
archive), so basically no-repacking has happened here.


> Slightly unrelated : the version libsearpc 1.1.0+dfsg is misleading since
> there is no DFSG involved in this repacking.


True, but it was so convenient :). Please suggest a better name, or let's
cross-fingers and let's hope our upstream friends will release 1.1.1
without bundled json-glib library (pretty please).

Anyway the current status of seafile packages:

http://anonscm.debian.org/gitweb/?p=collab-maint/libsearpc.git;a=summary
 (uploaded)
http://anonscm.debian.org/gitweb/?p=collab-maint/libzdb.git;a=summary(uploaded
+ asked upstream to grant OpenSSL exception)
 http://anonscm.debian.org/gitweb/?p=collab-maint/ccnet.git;a=summary (WIP
and needs some more licensing love[*])

* - E: libccnet0: possible-gpl-code-linked-with-openssl & E: ccnet-bin:
possible-gpl-code-linked-with-openssl

Shuai, please add OpenSSL exception to the license (if you are going to
keep GPL-3 and not MIT) as suggested here:

http://people.gnome.org/~markmc/openssl-and-the-gpl.html

O.
-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Wed, 05 Jun 2013 22:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Wed, 05 Jun 2013 22:24:09 GMT) Full text and rfc822 format available.

Message #77 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: Shuai Lin <linshuai2012@gmail.com>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Any progress on seafile-client?
Date: Thu, 6 Jun 2013 00:21:49 +0200
[Message part 1 (text/plain, inline)]
JFTR the seafile needs an gpl+openssl exception too.

E: seafile-server: possible-gpl-code-linked-with-openssl
E: seafile-client: possible-gpl-code-linked-with-openssl
E: seafile-common: possible-gpl-code-linked-with-openssl
E: seafile-applet: possible-gpl-code-linked-with-openssl

Some very crude preliminary packaging (not yet even tried in clean chroot)
with some basic splitting into subpackages (without really understanding
the content and without tight dependencies between them) can be found:

http://anonscm.debian.org/gitweb/?p=collab-maint/seafile.git;a=summary

Hey, it builds and put files into packages, we are almost there :).

O.



On Wed, Jun 5, 2013 at 6:40 PM, Ondřej Surý <ondrej@sury.org> wrote:

> On Wed, Jun 5, 2013 at 5:12 PM, Jérémy Lal <kapouer@melix.org> wrote:
>
>>  > Well, it's probably just a matter of taste. I found it easier to
>> > strip the embedded libraries than to cherry-pick all the scattered
>> > licenses and gather them up in the debian/copyright. It's also much
>> > easier on our ftp-masters to review less sources.
>>
>> If it was a master of taste i would do the same as you, get rid of
>> convenience copies.
>> The idea behind the links i gave above is to refrain people from
>> repacking on
>> personal taste; and distribute *original* upstream tarballs.
>> Of course, once there is a good reason to do repack (typically dfsg) then
>> you can remove
>> embedded convenience copies as well. But you might as well not exclude
>> them.
>>
>
> Well, there was no upstream tarball anyway, I did create one from git (git
> archive), so basically no-repacking has happened here.
>
>
>> Slightly unrelated : the version libsearpc 1.1.0+dfsg is misleading since
>> there is no DFSG involved in this repacking.
>
>
> True, but it was so convenient :). Please suggest a better name, or let's
> cross-fingers and let's hope our upstream friends will release 1.1.1
> without bundled json-glib library (pretty please).
>
> Anyway the current status of seafile packages:
>
> http://anonscm.debian.org/gitweb/?p=collab-maint/libsearpc.git;a=summary
>  (uploaded)
> http://anonscm.debian.org/gitweb/?p=collab-maint/libzdb.git;a=summary(uploaded + asked upstream to grant OpenSSL exception)
>  http://anonscm.debian.org/gitweb/?p=collab-maint/ccnet.git;a=summary(WIP and needs some more licensing love[*])
>
> * - E: libccnet0: possible-gpl-code-linked-with-openssl & E: ccnet-bin:
> possible-gpl-code-linked-with-openssl
>
> Shuai, please add OpenSSL exception to the license (if you are going to
> keep GPL-3 and not MIT) as suggested here:
>
> http://people.gnome.org/~markmc/openssl-and-the-gpl.html
>
> O.
> --
> Ondřej Surý <ondrej@sury.org>
>



-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Thu, 06 Jun 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Thu, 06 Jun 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #82 received at 698681@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: 698681@bugs.debian.org
Subject: Re: MIT code embedded into GPL-3+ library
Date: Thu, 06 Jun 2013 11:29:29 +0200
I don't think this concerns debian-legal, so i move the discussion
back to seafile ITP.

On 06/06/2013 07:40, Ondřej Surý wrote:
> Hi,
> 
> I am working on packaging ccnet[1] library (requirement for seafile),
> and the upstream code has two licenses in the base directory - MIT
> and GPL-3+. 
> When I asked for clarification they have replied the code is GPL-3+
> with some parts reused from some other project which was MIT
> licensed.

There is some confusion...
Copyright [2] is BSD-2-clause and there's a GPL3 LICENCE.txt file.
So it's the other way around.

> Unfortunatelly the individual source files are not licensed, so it's
> unclear to me what's the license of the files and the packages as
> whole.

Then you should review the whole package file by file.
Let me help :

* There is some copy/paste/rename of inet_ntop.c code [3][4],
  ISC License, in lib/libccnet_utils.c.
* lib/buffer.c has a BSD-3-clause license.
* lib/net.c has an mcast_join function that seems directly taken from
  Unix Network Programming sample code [5]. I did not find a license
  for that file. There is a disclaimer, though.
* net/common/getgateway.c is from libnatpmp, see [6].
  Now BSD-3-clause.
* net/common/list.h is a kernel header, GPL-2 license.

No GPL-3 found unless i missed something.

> Can you provide a guidance?
> 
> (It would still need openssl+gpl exception to go in.)
> 
> Ondřej Surý 1. https://github.com/haiwen/ccnet

Hope that helped,
Jérémy.


[2]
https://raw.github.com/haiwen/ccnet/master/COPYRIGHT
[3]
https://github.com/haiwen/ccnet/commit/f9a41fbc
[4]
https://github.com/haiwen/ccnet/commit/2de2207f
[5]
http://www.unpbook.com/unpv13e.tar.gz
in lib/mcast_join.c
[6]
http://packages.qa.debian.org/libn/libnatpmp.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Thu, 06 Jun 2013 10:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Thu, 06 Jun 2013 10:09:07 GMT) Full text and rfc822 format available.

Message #87 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: 698681@bugs.debian.org
Subject: Re: MIT code embedded into GPL-3+ library
Date: Thu, 6 Jun 2013 12:07:00 +0200
[Message part 1 (text/plain, inline)]
Upstream claims the code is GPL-3+, see the forwarded email I just sent
you, so it needs to be cleared.

O.


On Thu, Jun 6, 2013 at 11:29 AM, Jérémy Lal <kapouer@melix.org> wrote:

> I don't think this concerns debian-legal, so i move the discussion
> back to seafile ITP.
>
> On 06/06/2013 07:40, Ondřej Surý wrote:
> > Hi,
> >
> > I am working on packaging ccnet[1] library (requirement for seafile),
> > and the upstream code has two licenses in the base directory - MIT
> > and GPL-3+.
> > When I asked for clarification they have replied the code is GPL-3+
> > with some parts reused from some other project which was MIT
> > licensed.
>
> There is some confusion...
> Copyright [2] is BSD-2-clause and there's a GPL3 LICENCE.txt file.
> So it's the other way around.
>
> > Unfortunatelly the individual source files are not licensed, so it's
> > unclear to me what's the license of the files and the packages as
> > whole.
>
> Then you should review the whole package file by file.
> Let me help :
>
> * There is some copy/paste/rename of inet_ntop.c code [3][4],
>   ISC License, in lib/libccnet_utils.c.
> * lib/buffer.c has a BSD-3-clause license.
> * lib/net.c has an mcast_join function that seems directly taken from
>   Unix Network Programming sample code [5]. I did not find a license
>   for that file. There is a disclaimer, though.
> * net/common/getgateway.c is from libnatpmp, see [6].
>   Now BSD-3-clause.
> * net/common/list.h is a kernel header, GPL-2 license.
>
> No GPL-3 found unless i missed something.
>
> > Can you provide a guidance?
> >
> > (It would still need openssl+gpl exception to go in.)
> >
> > Ondřej Surý 1. https://github.com/haiwen/ccnet
>
> Hope that helped,
> Jérémy.
>
>
> [2]
> https://raw.github.com/haiwen/ccnet/master/COPYRIGHT
> [3]
> https://github.com/haiwen/ccnet/commit/f9a41fbc
> [4]
> https://github.com/haiwen/ccnet/commit/2de2207f
> [5]
> http://www.unpbook.com/unpv13e.tar.gz
> in lib/mcast_join.c
> [6]
> http://packages.qa.debian.org/libn/libnatpmp.html
>
>


-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Thu, 06 Jun 2013 10:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Thu, 06 Jun 2013 10:24:09 GMT) Full text and rfc822 format available.

Message #92 received at 698681@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: 698681@bugs.debian.org
Subject: Re: MIT code embedded into GPL-3+ library
Date: Thu, 06 Jun 2013 12:21:20 +0200
Oh, right. Opened an issue then :

https://github.com/haiwen/ccnet/issues/7

Jérémy.


On 06/06/2013 12:07, Ondřej Surý wrote:
> Upstream claims the code is GPL-3+, see the forwarded email I just sent you, so it needs to be cleared.
> 
> O.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Thu, 06 Jun 2013 10:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Thu, 06 Jun 2013 10:33:12 GMT) Full text and rfc822 format available.

Message #97 received at 698681@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Jérémy Lal <kapouer@melix.org>
Cc: 698681@bugs.debian.org
Subject: Re: MIT code embedded into GPL-3+ library
Date: Thu, 6 Jun 2013 12:31:01 +0200
[Message part 1 (text/plain, inline)]
Thanks.

We will also need to get the updated json-glib to the archive:

See https://github.com/haiwen/libsearpc/pull/3 and
https://bugzilla.gnome.org/show_bug.cgi?id=701698

I don't think the oneliner patch is worth the whole library fork.

And are we cool? I don't want you to be pissed at me :).

O.


On Thu, Jun 6, 2013 at 12:21 PM, Jérémy Lal <kapouer@melix.org> wrote:

> Oh, right. Opened an issue then :
>
> https://github.com/haiwen/ccnet/issues/7
>
> Jérémy.
>
>
> On 06/06/2013 12:07, Ondřej Surý wrote:
> > Upstream claims the code is GPL-3+, see the forwarded email I just sent
> you, so it needs to be cleared.
> >
> > O.
>
>


-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Thu, 06 Jun 2013 12:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Thu, 06 Jun 2013 12:03:08 GMT) Full text and rfc822 format available.

Message #102 received at 698681@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: 698681@bugs.debian.org
Subject: dfsg repack
Date: Thu, 6 Jun 2013 08:01:43 -0400
[Message part 1 (text/plain, inline)]
Please don't call a dfsg reapck if its not. It was quite common to do a
+ds1-1 as a name for software needing a repack for non DFSG reasons.

Don't forget watch mangles, get-orig-source and readme explaining why.

Cheers,
T
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>:
Bug#698681; Package wnpp. (Sun, 09 Mar 2014 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael <rafael@ekng.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shuai Lin <linshuai2012@gmail.com>. (Sun, 09 Mar 2014 23:27:05 GMT) Full text and rfc822 format available.

Message #107 received at 698681@bugs.debian.org (full text, mbox):

From: Rafael <rafael@ekng.net>
To: 698681@bugs.debian.org
Subject: Was there any advance in this bug?
Date: Sun, 9 Mar 2014 23:16:06 +0000
Te last mail in this bug report was from 6 jun 2013. Is it being worked
on?

Rafael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698681; Package wnpp. (Mon, 10 Mar 2014 05:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuai Lin <linshuai2012@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Mar 2014 05:33:11 GMT) Full text and rfc822 format available.

Message #112 received at 698681@bugs.debian.org (full text, mbox):

From: Shuai Lin <linshuai2012@gmail.com>
To: Rafael <rafael@ekng.net>, 698681@bugs.debian.org
Subject: Re: Bug#698681: Was there any advance in this bug?
Date: Mon, 10 Mar 2014 13:28:33 +0800
[Message part 1 (text/plain, inline)]
Yes, we have removed the dependency of json-glib from libsearpc. Now we use
the jansson library instead.


On Mon, Mar 10, 2014 at 7:16 AM, Rafael <rafael@ekng.net> wrote:

> Te last mail in this bug report was from 6 jun 2013. Is it being worked
> on?
>
> Rafael
>
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:12:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.